/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CheckNotificationStateEvent.as 4934 2009-08-16 16:13:10Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import org.ow2.jasmine.monitoring.eos.notification.vo.ActionCallVO;
import org.ow2.jasmine.monitoring.eos.notification.vo.JasmineEventNotificationVO;


/**
 * A CheckNotificationStateEvent is dispatched an acknowledge action is triggered from the view.
 *
 * @author Guillaume Renault
 *
 */
public class CheckNotificationStateEvent extends CairngormEvent
{
    
    // ////////////////////////////////////////////////////////////////////////
    // Event types
    // ////////////////////////////////////////////////////////////////////////
    public static var CHECK_NOTIFICATION_SATE : String = "check notification state";
    
    private var notificationObj : JasmineEventNotificationVO = null;
    
    
    
    public function set notification(_notification : JasmineEventNotificationVO) : void
    {
        this.notificationObj = _notification;
    }
    
    
    
    public function get notification() : JasmineEventNotificationVO
    {
        return this.notificationObj;
    }
    
    
    
    /**
     * Creates a new CheckNotificationStateEvent.
     */
    public function CheckNotificationStateEvent(type : String)
    {
        super(type);
    }
    
    
    
    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns NotifEvent
     */
    override public function clone() : Event
    {
        return new CheckNotificationStateEvent(this.type);
    }

}
}
